Bug 993447 - flex generates comparison between signed and unsigned integer
Summary: flex generates comparison between signed and unsigned integer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: flex
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patsy Griffin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-06 00:31 UTC by Phil Oester
Modified: 2013-09-13 01:10 UTC (History)
2 users (show)

Fixed In Version: flex-2.5.37-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-13 01:10:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Phil Oester 2013-08-06 00:31:52 UTC
Attempting to compile netfilter project "nftables" code causes the below errors:

  CC            src/scanner.c
<stdout>: In function ‘nft_lex’:
<stdout>:1789:23: error: comparison between signed and unsigned integer expressions [-Werror=sign-compare]
<stdout>: In function ‘nft__scan_bytes’:
<stdout>:3659:17: error: comparison between signed and unsigned integer expressions [-Werror=sign-compare]

Because the version of flex shipped with F19 needs this upstream patch:

http://sourceforge.net/p/flex/flex/ci/c53fd2db8c78fef5afd284c3e64da51bc71cf6c3/

Applying this patch solves the problem, and nftables can be compiled successfully.

Comment 1 Ben Greear 2013-08-30 17:06:52 UTC
I hit this one too...I really hate having to turn off strict compiler warnings for this!

Comment 2 Petr Machata 2013-09-03 19:21:14 UTC
Thanks for the link!

Comment 3 Fedora Update System 2013-09-03 19:21:50 UTC
flex-2.5.37-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/flex-2.5.37-2.fc19

Comment 4 Fedora Admin XMLRPC Client 2013-09-05 01:24:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Update System 2013-09-05 01:26:03 UTC
Package flex-2.5.37-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing flex-2.5.37-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15759/flex-2.5.37-2.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-09-13 01:10:07 UTC
flex-2.5.37-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.